#!/usr/bin/env python
# encoding: utf-8
"""
HgBuild.py

Created by Andrew Finnell on 2009-04-11.
Copyright (c) 2009 Fortunate Bear, LLC. All rights reserved.
"""

import sys
import os
import re

# First determine the version
versionFile = os.popen('/usr/local/bin/hg identify --id')
version = versionFile.readline().strip()
versionFile.close()

# Pull up the Info.plist
infoPath = os.environ['BUILT_PRODUCTS_DIR'] + '/' + os.environ['WRAPPER_NAME'] + '/Contents/Info.plist'
os.system('/usr/libexec/PlistBuddy -c "Set :FBBundleBuildNumber ' + version + '" "' + infoPath + '"')
